﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;

namespace WebApp
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            RadChart1.DefaultType = Telerik.Charting.ChartSeriesType.StackedBar;
            RadChart1.DataSource = PlotInfo.GetData();

            RadChart1.DataGroupColumn = "SkillName";
            RadChart1.DataManager.LabelsColumn = "SkillName";
            RadChart1.DataManager.ValuesYColumns = new string[] { "Duration" };
            RadChart1.DataManager.ValuesXColumn = "LocationId";

            RadChart1.PlotArea.XAxis.DataLabelsColumn = "LocationName";
            RadChart1.Legend.Appearance.GroupNameFormat = "#VALUE";

            //Just for apearance purposes
            RadChart1.BeforeLayout += RadChart1_BeforeLayout;

            RadChart1.DataBind();
        }

        void RadChart1_BeforeLayout(object sender, EventArgs e)
        {
            foreach (var series in RadChart1.Series)
            {
                series.Appearance.LabelAppearance.LabelLocation =
                    Telerik.Charting.Styles.StyleSeriesItemLabel.ItemLabelLocation.Inside;

                series.Appearance.TextAppearance.TextProperties.Color = Color.White;
            }
        }
    }

    public class PlotInfo
    {
        //Not needed
        //public int SkillId { get; set; }

        public string SkillName { get; set; }
        public int Duration { get; set; }
        public int LocationId { get; set; }
        public string LocationName { get; set; }

        public static List<PlotInfo> GetData()
        {
            var result = new List<PlotInfo>();

            result.Add(new PlotInfo { /*SkillId = 1,*/ SkillName = "c#", Duration = 20, LocationId = 1, LocationName = "andheri" });
            result.Add(new PlotInfo { /*SkillId = 2,*/ SkillName = "asp.net", Duration = 30, LocationId = 1, LocationName = "andheri" });
            result.Add(new PlotInfo { /*SkillId = 3,*/ SkillName = "php", Duration = 60, LocationId = 1, LocationName = "andheri" });
            result.Add(new PlotInfo { /*SkillId = 1,*/ SkillName = "c#", Duration = 40, LocationId = 2, LocationName = "sanpada" });
            result.Add(new PlotInfo { /*SkillId = 4,*/ SkillName = "sql", Duration = 80, LocationId = 2, LocationName = "sanpada" });
            result.Add(new PlotInfo { /*SkillId = 2,*/ SkillName = "asp.net", Duration = 60, LocationId = 3, LocationName = "nsp" });
            result.Add(new PlotInfo { /*SkillId = 5,*/ SkillName = "jquery", Duration = 70, LocationId = 3, LocationName = "nsp" });

            return result;
        }
    }
}